> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/dgc-license.md).

# Dgc License

## POST /license/{environmentId}/licenseFile

> Update the license by uploading a new license file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/license/{environmentId}/licenseFile":{"post":{"operationId":"updateLicense_1","parameters":[{"description":"Name of license file","in":"query","name":"licenseFileName","schema":{"type":"string","default":"collibra"}},{"description":"If true and a license file with specified name exists, it will be overwritten.","in":"query","name":"overwriteExisting","schema":{"type":"boolean","default":true}},{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/FormDataMultiPart"}}},"required":true},"responses":{"204":{"description":"License file updated successfully"},"404":{"description":"Environment could not be found"},"409":{"description":"License file already exists"}},"summary":"Update the license by uploading a new license file","tags":["dgc-license"]}}},"components":{"schemas":{"FormDataMultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fields":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/FormDataBodyPart"}}},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"BodyPart":{"type":"object","properties":{"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"ContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"MultivaluedMapStringString":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"MediaType":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"subtype":{"type":"string"},"type":{"type":"string"},"wildcardSubtype":{"type":"boolean"},"wildcardType":{"type":"boolean"}}},"MessageBodyWorkers":{"type":"object"},"ParameterizedHeader":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"value":{"type":"string"}}},"MultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"MultivaluedMapStringParameterizedHeader":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"Providers":{"type":"object"},"FormDataBodyPart":{"type":"object","properties":{"content":{"type":"object"},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fileName":{"type":"string"},"formDataContentDisposition":{"$ref":"#/components/schemas/FormDataContentDisposition"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"name":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"},"simple":{"type":"boolean"},"value":{"type":"string"}}},"FormDataContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}}}}}
```

## POST /license/{environmentId}/licenseText

> Update the license by providing the name and content of the new license file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/license/{environmentId}/licenseText":{"post":{"operationId":"updateLicense","parameters":[{"description":"Name of license file","in":"query","name":"licenseFileName","schema":{"type":"string","default":"collibra"}},{"description":"If true and a license file with specified name exists, it will be overwritten.","in":"query","name":"overwriteExisting","schema":{"type":"boolean","default":true}},{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"text/plain":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"License file updated successfully"},"404":{"description":"Environment could not be found"},"409":{"description":"License file already exists"}},"summary":"Update the license by providing the name and content of the new license file","tags":["dgc-license"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/dgc-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
